RIO_DMA_PREP_XFER(9)

NAME
rio_dma_prep_xfer - RapidIO specific wrapper for device_prep_slave_sg callback defined by DMAENGINE.

SYNOPSIS

struct dma_async_tx_descriptor * rio_dma_prep_xfer(struct dma_chan * dchan, u16 destid, struct rio_dma_data * data, enum dma_transfer_direction direction, unsigned long flags);

ARGUMENTS

dchan
    DMA channel to configure

destid
    target RapidIO device destination ID

data
    RIO specific data descriptor

direction
    DMA data transfer direction (TO or FROM the device)

flags
    dmaengine defined flags

DESCRIPTION

Initializes RapidIO capable DMA channel for the specified data transfer. Uses DMA channel private extension to pass information related to remote target RIO device. Returns pointer to DMA transaction descriptor or NULL if failed.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT